Core
Eldbus

## Data Structures

struct | _Eldbus_Version

## Macros

#define | ELDBUS_VERSION_MAJOR EFL_VERSION_MAJOR
| Eldbus version major number.
#define | ELDBUS_VERSION_MINOR EFL_VERSION_MINOR
| Eldbus version minor number.
#define | ELDBUS_FDO_BUS "org.freedesktop.DBus"
| DBus message bus name.
#define | ELDBUS_FDO_PATH "/org/freedesktop/DBus"
| Object that implements message bus interface.
#define | ELDBUS_FDO_INTERFACE ELDBUS_FDO_BUS
| DBus message bus interface.
#define | ELDBUS_FDO_INTERFACE_PROPERTIES "org.freedesktop.DBus.Properties"
| DBus Properties interface.
#define | ELDBUS_FDO_INTERFACE_OBJECT_MANAGER "org.freedesktop.DBus.ObjectManager"
| DBus ObjectManager interface.
#define | ELDBUS_FDO_INTERFACE_INTROSPECTABLE "org.freedesktop.DBus.Introspectable"
| DBus Introspectable interface.
#define | ELDBUS_FDO_INTEFACE_PEER "org.freedesktop.DBus.Peer"
| DBus Peer interface.
#define | ELDBUS_ERROR_PENDING_CANCELED "org.enlightenment.DBus.Canceled"
| Canceled error answer.
#define | ELDBUS_ERROR_PENDING_TIMEOUT "org.freedesktop.DBus.Error.NoReply"
| Timeout error answer.

## Typedefs

typedef struct _Eldbus_Version | Eldbus_Version
| Represents the current version of Eldbus.
typedef void(* | Eldbus_Free_Cb) (void *data, const void *deadptr)
| Callback that is called when the connection is freed.
typedef struct _Eldbus_Message | Eldbus_Message
| Represents the way data is sent and received in DBus.
typedef struct _Eldbus_Message_Iter | Eldbus_Message_Iter
| Represents an iterator over a complex message type (array, dict, struct, or variant).
typedef struct _Eldbus_Pending | Eldbus_Pending
| Represents a message that has been sent but has not yet reached its destination.
typedef struct _Eldbus_Signal_Handler | Eldbus_Signal_Handler
| Represents a listener that will listen for signals emitted by other applications.
typedef void(* | Eldbus_Message_Cb) (void *data, const Eldbus_Message *msg, Eldbus_Pending *pending)
| Callback that is called when answer of a method call message comes.
typedef void(* | Eldbus_Signal_Cb) (void *data, const Eldbus_Message *msg)
| Callback that is called when a signal is received.

## Functions

EAPI int | eldbus_init (void)
| Initialize eldbus.
EAPI int | eldbus_shutdown (void)
| Shutdown eldbus.

## Variables

EAPI const Eldbus_Version * | eldbus_version
| Global Eldbus_Version object.

## Detailed Description

## Typedef Documentation

## Eldbus_Message_Iter

typedef struct _Eldbus_Message_Iter Eldbus_Message_Iter

Represents an iterator over a complex message type (array, dict, struct, or variant).

Its life is bound to the message that contains it. The same applies to the returned data.

Examples
  banshee.c, complex-types-server.c, complex-types.c, connman-list-services.c, and simple-signal-emit.c.

## Function Documentation

## eldbus_init()

EAPI int eldbus_init | ( | void |  | ) |

Initialize eldbus.

Returns
  1 or greater on success, 0 otherwise

Examples
  banshee.c, client.c, complex-types-client-eina-value.c, complex-types-server.c, complex-types.c, connman-list-services.c, ofono-dial.c, server.c, and simple-signal-emit.c.

References ecore_fork_reset_callback_add(), ecore_init(), ecore_shutdown(), eina_init(), eina_log_domain_register(), eina_log_domain_unregister(), EINA_LOG_ERR, eina_magic_string_set(), and eina_shutdown().

Referenced by efl_net_connman_init(), and ethumb_client_init().

## eldbus_shutdown()

EAPI int eldbus_shutdown | ( | void |  | ) |

Shutdown eldbus.

Returns
  0 if e_dbus shuts down, greater than 0 otherwise.

Examples
  banshee.c, client.c, complex-types-client-eina-value.c, complex-types-server.c, complex-types.c, connman-list-services.c, ofono-dial.c, server.c, and simple-signal-emit.c.

References _Eina_Hash_Tuple::data, ecore_fork_reset_callback_del(), ecore_shutdown(), eina_hash_free(), eina_hash_iterator_tuple_new(), eina_hash_population(), EINA_ITERATOR_FOREACH, eina_iterator_free(), eina_log_domain_unregister(), eina_shutdown(), ERR, and _Eina_Hash_Tuple::key.

Referenced by efl_net_connman_shutdown(), and ethumb_client_shutdown().